<div class="mt-2 container-fluid">

  <h2 class="text-center">Modifier un client</h2>

  <ng-container *ngIf="client$ | async as client; else loading">
    <app-client-form
      [client]="client"
      (cancel)="goToClientsList()"
      (validate)="updateClient($event)"
    ></app-client-form>
  </ng-container>
</div>

<ng-template #loading>
  <div class="alert alert-info" role="alert">
    <fa-icon [icon]="faSpinner" animation="spin-pulse"></fa-icon>
    Chargement du client ...
  </div>
</ng-template>
